Summary:	ODF Thumbnail plugin for KDE
Name:		kde-odf-thumbnail
Version:	1.0.0
Release:	%mkrel 8
Source0:	http://kenai.com/projects/%{name}/downloads/download/%{version}/%{name}-%{version}.tar.gz
License:	LGPLv3
Group:		Graphical desktop/KDE
URL:		http://kde-apps.org/content/show.php?content=110864
# Patch to add some translations in the desktop file
Patch0:		kde-odf-thumbnail-1.0.0-mdv-add-translation-in-desktopfile.patch
BuildRequires:	kdebase4-devel
Provides:	kde-office-thumbnails = %{name}-%{version}

%description 
Plugin for KDE file managers (Dolphin and Konqueror) to preview ODF files (Open
Document Format) as Thumbnails.You do not need to install OpenOffice.org or any
other office suite for it to work (it only uses KDE API).

%files 
%doc README LICENSE
%{_kde_libdir}/kde4/opendocumentthumbnail.so
%{_kde_services}/opendocumentthumbnail.desktop

%prep
%setup -q 
%patch0

%build
%cmake_kde4
%make

%install
%{makeinstall_std} -C build



%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-8.mga5
+ Revision: 749176
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-7.mga5
+ Revision: 680975
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.0-6.mga4
+ Revision: 506565
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.0-5.mga3
+ Revision: 355945
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 14 2012 dlucio <dlucio> 1.0.0-4.mga3
+ Revision: 305341
- rebuild

* Mon Mar 07 2011 mikala <mikala> 1.0.0-3.mga1
+ Revision: 66060
- Remove BuildRoot
- imported package kde-odf-thumbnail


* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-3mdv2011.0
+ Revision: 612556
- the mass rebuild of 2010.1 packages

  + John Balcaen <mikala@mandriva.org>
    - Fix License tag
    - Update source name : (upstream source name changed to kde-odf-thumbnail)
    - Fix file list
    - Rediff and rename patch0 (for the moment drop several translations)
    - Update summary & description to reflect upstream name change
    - Update url

* Tue Sep 15 2009 John Balcaen <mikala@mandriva.org> 1.0.0-1mdv2010.0
+ Revision: 443099
- Update to 1.0.0
- Add a patch to add french translation on the desktop file

* Fri Aug 28 2009 John Balcaen <mikala@mandriva.org> 0.0.1-1mdv2010.0
+ Revision: 421921
- import kde-odf-thumbnail

